// 18/07/99
#ifndef EvKbdH
#define EvKbdH

#ifndef EventsH
#  include "Events.h"
#endif

class EvKbd : public Event {
  public:
    // special keys -- only few are used, but kbd driver should
    // set everything
    enum {
      none,
      up, down, left, right,
      pgUp, pgDown, home, end,
      ins, del,
      f1,  f2,  f3,  f4,  f5,  f6,  f7,  f8,  f9,  f10,  
      f11, f12, f13, f14, f15, f16, f17, f18, f19, f20,  // w/ shift
      lastKey
    };
    
    bool isSpecial; // otherwise - ASCII
    int data; // special || ascii. enter is ascii '\n'!
    
    EvKbd(Object * s, bool spc, int d) : Event(s), isSpecial(spc), data(d) { }
    virtual XStr className() { return "EvKbd"; }
};

#endif // EvKbdH


